/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
//
// Buttons
// --------------------------------------------------

$discover-title-size: 36px;
$discover-subtitle-size: 26px;

.cta {
  position: relative;
  z-index: 10;

  display: block;
  text-align: center;

  color: #fff;
  font-size: 1.25em;
  line-height: 1;
  font-weight: 300;
  position: relative;

  /*span:first-child, span:last-child {
    transition: transform 200ms ease;
  }*/

  &:hover, &:focus, &:active {
    text-decoration: none;
    color: white;

    /*& > span:first-child {
      transform: translate3d(-0.25em,0,0);
    }
    & > span:last-child {
      transform: translate3d(0.25em,0,0);
    }*/

  }

  span {
    display: block;

  }
  span span {
    display: inline;
  }


  &--producer, &--diffuser {
    font-size: 24px;
    font-style: italic;
    padding: $grid-gutter-width*1.5 0;
    line-height: 1;
    @media (max-width: $screen-xs-min) {
      font-size: 1em;
    }

    span b {
      font-size: 36px;
      text-transform: uppercase;
      @media (max-width: $screen-xs-min) {
        font-size: 1.5em;
      }
    }

  }


  &--discover {
    font-weight: 300;
    text-transform: uppercase;
    line-height: 1.15;


    span {
      font-size: $discover-subtitle-size;
      @media (max-width: $screen-xs-min) {
        font-size: $discover-subtitle-size*0.75;
      }
      // 
    }
  }

}
.cta-chevron {
  $height: $discover-title-size + $discover-subtitle-size;
  height: $height;
  left: 0;
  top: 15px;


  position: absolute;
  margin-left: -$height/1.25;

  @media (max-width: $screen-xs-min) {
    display: none;
  }
  -webkit-backface-visibility: hidden;

  transition: transform 0.35s ease;

  .banner--discover.hover & {
    transform: translateX(-0.25em);

  }
}
